org.springframework.batch.core.jsr.configuration.xml

## Class PartitionParser

- java.lang.Object
- - org.springframework.batch.core.jsr.configuration.xml.PartitionParser

-     public class PartitionParser
      extends java.lang.Object

  Parser for the <partition> element as defined by JSR-352.
  Since:
    3.0
  Author:
    Michael Minella, Mahmoud Ben Hassine

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartitionParser(java.lang.String stepName, boolean allowStartIfComplete)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `parse(org.w3c.dom.Element element, org.springframework.beans.factory.support.AbstractBeanDefinition bd, org.springframework.beans.factory.xml.ParserContext parserContext, java.lang.String stepName)`
    `protected void` | `parsePartitionPlan(org.w3c.dom.Element element, org.springframework.beans.factory.xml.ParserContext parserContext, java.lang.String stepName, org.springframework.beans.MutablePropertyValues properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PartitionParser

          public PartitionParser(java.lang.String stepName,
                                 boolean allowStartIfComplete)

      Parameters:
        `stepName` - the name of the step that is being partitioned
        `allowStartIfComplete` - boolean to establish the allowStartIfComplete property for partition properties.

  - ### Method Detail

    - #### parse

          public void parse(org.w3c.dom.Element element,
                            org.springframework.beans.factory.support.AbstractBeanDefinition bd,
                            org.springframework.beans.factory.xml.ParserContext parserContext,
                            java.lang.String stepName)

    - #### parsePartitionPlan

          protected void parsePartitionPlan(org.w3c.dom.Element element,
                                            org.springframework.beans.factory.xml.ParserContext parserContext,
                                            java.lang.String stepName,
                                            org.springframework.beans.MutablePropertyValues properties)